package com.zanxiang.game.back.base.pojo.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 创角是否回传
 */
@Data
public class TtAppOrderBackQueryRpcDTO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 游戏 id
     */
    private Long gameId;
    /**
     * 微信小游戏上报组件
     */
    private TtAccountRpcDTO accountReport;
    /**
     * 订单编号
     */
    private String orderId;
    /**
     * 渠道标识
     */
    private String agentKey;
    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;
}
